Get file info
curl --request GET \
--url https://api.friendli.ai/beta/file/{file_id} \
--header 'Authorization: Bearer <token>'{
"id": "file-id",
"name": "file-name",
"size": 1024,
"digest": "file-digest",
"project_id": "project-id",
"creator_id": "creator-id",
"created_at": 1705244400,
"expires_at": 1765724399,
"status": "UPLOADED"
}File
Get file info
Retrieve metadata for a file stored in Friendli Suite by file ID via the API. Returns filename, size, upload status, and creation timestamp.
GET
/
beta
/
file
/
{file_id}
Get file info
curl --request GET \
--url https://api.friendli.ai/beta/file/{file_id} \
--header 'Authorization: Bearer <token>'{
"id": "file-id",
"name": "file-name",
"size": 1024,
"digest": "file-digest",
"project_id": "project-id",
"creator_id": "creator-id",
"created_at": 1705244400,
"expires_at": 1765724399,
"status": "UPLOADED"
}Get file info. To request successfully, it is required to enter a Personal API Key (e.g. flp_XXX) in the Bearer Token field. Refer to the authentication section on our introduction page to learn more and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
This API is currently in Beta.
While we strive to provide a stable and reliable experience, this feature is still under active development.
As a result, you may encounter unexpected behavior or limitations.
We encourage you to provide feedback to help us improve the feature before its official release.
Authorizations
Headers
ID of team to run requests as (optional parameter).
Path Parameters
File ID
Response
OK
File information.
ID of the file.
Name of the file.
Size of the file in bytes.
SHA256 hash of the file.
ID of the project the file belongs to.
ID of the creator of the file.
Unix timestamp (in seconds) of when the file was created.
Unix timestamp (in seconds) of when the file will expire.
Status of the file upload.
Available options:
UPLOADING, UPLOADED, FAILED, DELETED Last modified on April 29, 2026
⌘I